LTSpice Benchmark
=================

How to Run
==========
1. Download and install [LTSpice](https://www.analog.com/en/design-center/design-tools-and-calculators/ltspice-simulator.html) (Make sure to select x64 and use the defualt install location)
2. Reset your simulation setting
   - Control Panel -> SPICE -> Reset to Default Values
   - Control Panel -> Save Defaults -> Reset to Default Values
   - Control Panel -> Hacks -> Reset to Default Values
3. Disable windows defender's real time protection
   (Windows Defender real time protection slows the benchmark down)
4. Right click on benchmark.ps1 and select 'Run with PowerShell'
5. PowerShell may ask for confirmation to run a unsigned script, type Y and hit enter
6. The benchmark will run for 3-30 mins
7. Open the 'LTSpiceBenchmarkReport.txt' file to see your times and total

Example from my system:
```
********************************************************************************
LTSpice 17.0.35.0 Benchmark
HAL2022 10/04/2022 16:58:16

Name                                     NumberOfCores NumberOfLogicalProcessors
----                                     ------------- -------------------------
Intel(R) Core(TM) i7-8850H CPU @ 2.60GHz             6                        12

File                     ExecTime
----                     --------
mux8.cir                      0,8
mike2.cir                     3,2
bjtff.cir                     3,8
AzurAmp.asc                   2,1
MonteCarlo.asc                7,2
LT3845_TA01.asc              11,9
BuckBoost.asc                12,5
SettleTime.asc               13,8
Electrometer.asc             71,9
AudioChannels16.asc          90,4
OscillatorQuadrature.asc    234,8

Total time: 452.4 seconds
```
